[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CalendarPopup' (#lcl)

# TCalendarPopupForm.Calendar

TCalendar control used to select a date on the form.

## Declaration

Source position: calendarpopup.pas line 31

`TCalendarPopupForm.Calendar : TCalendar;`

## Description

Calendar is a TCalendar member which contains the calendar control displayed on the form. It allows selection of a date, and calls the ReturnDate method when the Month, Day, or Year in the control is changed using either the mouse or the keyboard. Calendar is configured in the private Initialize method using the TDateTime and TDisplaySettings provided as arguments.

Use the ShowCalendarPopup routine to provide the date/time value, display settings, and date range needed in the pop-up calendar form.

## See also

TCalendar
ShowCalendarPopup |  | Creates, configures, and displays a TCalendarPopupForm instance.
TDisplaySettings